Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Linux :: Gentoo :: c07-2331.htm

Snort: Denial of Service



Snort: Denial of Service
Snort: Denial of Service




--sT9gWZPUZYhvPS56
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 200702-03
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/ 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

  Severity: Normal
     Title: Snort: Denial of Service
      Date: February 13, 2007
      Bugs: #161632
        ID: 200702-03

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
=======
Snort contains a vulnerability in the rule matching algorithm that
could result in a Denial of Service.

Background
=========
Snort is a widely deployed intrusion detection program.

Affected packages
================
    -------------------------------------------------------------------
     Package             /  Vulnerable  /                   Unaffected
    -------------------------------------------------------------------
  1  net-analyzer/snort      < 2.6.1.2                      >= 2.6.1.2

Description
==========
Randy Smith, Christian Estan and Somesh Jha discovered that the rule
matching algorithm of Snort can be exploited in a way known as a
"backtracking attack" to perform numerous time-consuming operations.

Impact
=====
A remote attacker could send specially crafted network packets, which
would result in the cessation of the detections and the consumption of
the CPU resources.

Workaround
=========
There is no known workaround at this time.

Resolution
=========
All Snort users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose ">=net-analyzer/snort-2.6.1.2"

References
=========
  [ 1 ] CVE-2006-6931
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6931 

Availability
===========
This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200702-03.xml 

Concerns?
========
Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at 
http://bugs.gentoo.org. 

License
======
Copyright 2007 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5 

--sT9gWZPUZYhvPS56
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBRdJBczvRww8BFPxFAQJfyggAgzif8yYLyHlKSkH0OA8CkmUIgydxAukF
LyBT/OVftuxzlmKu6ENRba+zlt4P71Rf0W2meUDYKrY5xHO7xackLfvtKBKnU+E2
HOTcTAc96cMbp2vDDPQ5SJWB9IXe3n9Cw9mr190JqOw9C0yp4yHZAWuANQv5mOY3
qJcxECvK+kd5erg2LsViJyEoVd1QdjT9cPLeqUG09S9yjzexFUvaqu4AyDbBX41L
Fvqk8/i6l+IfCsrDk5jeV9wcbmP7wmcrSRmKtJWLnJgWD9trINKTGXqubE/N0HTT
vpPj3/C6nYYDW9UxCXDZW0eFqsSZR/1/NRhEVrCP4vJ88tRCZsYvzA==rZIr
-----END PGP SIGNATURE-----

--sT9gWZPUZYhvPS56--


TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH